Get Drive items
/unified/file-storage/drive-items/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
The type of the drive item
filefolder
1 supported1 required
The drive of the drive item
3 supported3 required
The unique identifier for a drive
The unique identifier for the workspace. Only supported when the product is sharepoint.
2 supported
Select the product for which you want to fetch the drive items.
onedrivesharepoint
1 supported1 required
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.debugreturns the final unified result alongside raw remote fetch information. The response is an envelope containingresult(identical to unified mode output) anddebug(withrequestUrl,requestOptions,data,responseHeaders, and for list operations:nextCursor,isLooping,isEmptyResult,resultCount).debugisnullfor static responses or whentruto_skip_api_call=true.
Defaults to unified.
unifiedunifiedrawnormalizedstreamdebug
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The unique identifier for a drive item
8 supported
The date and time the drive item was created
6 supported
The creator of the drive item
6 supported
The emails of the user
3 properties
The email address
Whether the email address is primary
The type of email address
The unique identifier for a user
The name of the user
The description of the drive item
3 supported
The drive of the drive item
5 supported
The unique identifier for a drive
Whether the drive item has children
8 supported
The mime type of the drive item
7 supported
The name of the drive item
8 supported
The parent folder of the drive item
8 supported
The unique identifier for a folder
The name of the folder
The path of the drive item
1 supported
The public URL of the drive item
Raw data returned from the remote API call.
The size of the drive item
8 supported
The tags associated with the drive item
4 supported
The type of the drive item
filefolder
8 supported
The date and time the drive item was last updated
8 supported
The URLs of the drive item
8 supported
The type of the drive item
selfthumbnail
The URL of the drive item
curl -X GET 'https://api.truto.one/unified/file-storage/drive-items/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/file-storage/drive-items/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/file-storage/drive-items/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'file-storage',
'driveitems',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"file-storage",
"driveitems",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())